Logoelepay
Customer

Retrieve customer

Retrieves customer information.

GET
/customers/{customerId}
AuthorizationBearer <token>

API authentication is performed via Bearer auth using the secret key as the bearer token. The secret key is a critical key that allows all API operations, so handle it with care.

In: header

Path Parameters

customerId*string

Customer ID

Response Body

application/json;charset=utf-8

curl -X GET "https://api.elepay.io/customers/string"
{
  "id": "string",
  "object": "customer",
  "liveMode": true,
  "defaultSource": "string",
  "name": "string",
  "description": "string",
  "email": "string",
  "phone": "string",
  "remark": "string",
  "operator": "string",
  "status": "active",
  "metadata": {
    "property1": "string",
    "property2": "string"
  },
  "updateTime": 0
}